Index: init_molecule.f
===================================================================
--- init_molecule.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ init_molecule.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,37 +1,37 @@
-c **************************************************************
-c
-c This file contains the subroutines: init_molecule
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
-c FIXME: Data in varfile determines which molecule is changed.
+! **************************************************************
+!
+! This file contains the subroutines: init_molecule
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
+! FIXME: Data in varfile determines which molecule is changed.
 
       subroutine init_molecule(iabin,grpn,grpc,seqfile,varfile)
 
-c ----------------------------------------------------------
-c PURPOSE: construct starting structure of molecule(s)
-c
-c          iabin = 1  : ab Initio using sequence & 
-c                       variables given in input files
-c          iabin != 1 : sequence, variable information
-c                       from PDB-file
-c
-c          grpn:        N-terminal group
-c          grpc:        C-terminal group
-c
-c CALLS:   addend,bldmol,c_alfa,getmol,iendst, mklist, nursvr,
-C          pdbread,pdbvars,redseq,redvar,setmvs
-C
-c ----------------------------------------------------------
+! ----------------------------------------------------------
+! PURPOSE: construct starting structure of molecule(s)
+!
+!          iabin = 1  : ab Initio using sequence & 
+!                       variables given in input files
+!          iabin != 1 : sequence, variable information
+!                       from PDB-file
+!
+!          grpn:        N-terminal group
+!          grpc:        C-terminal group
+!
+! CALLS:   addend,bldmol,c_alfa,getmol,iendst, mklist, nursvr,
+!          pdbread,pdbvars,redseq,redvar,setmvs
+!
+! ----------------------------------------------------------
 
       include 'INCL.H'
       include 'INCP.H'
 
-cf2py character*80 optional, intent(in) :: seqfile = ' '
-cf2py character*80 optional, intent(in) :: varfile = ' ' 
+!f2py character*80 optional, intent(in) :: seqfile = ' '
+!f2py character*80 optional, intent(in) :: varfile = ' ' 
       
       character grpn*4,grpc*4
@@ -47,5 +47,5 @@
       if (iabin.eq.1) then  
          
-c     ----------------------------------------- get sequence for molecule(s)
+!     ----------------------------------------- get sequence for molecule(s)
          lunseq=11
          if (ntlml.gt.0) then
@@ -64,6 +64,6 @@
          write (*,*) 'File with sequence is ', seqfil(1:iendst(seqfil))
          
-c     --------------------------------- read & assemble data from libraries
-c     initial coordinates, interaction lists
+!     --------------------------------- read & assemble data from libraries
+!     initial coordinates, interaction lists
          
          ntl = ntlml
@@ -85,8 +85,8 @@
          enddo
          
-c     --------------------------- Read the initial conformation if necessary
+!     --------------------------- Read the initial conformation if necessary
          if(readFromStdin) then 
             write (*,'(a,$)') ' file with VARIABLES:'
-c     
+!     
             varfil=' '
             read(*,'(a)',end=2,err=2) varfil
@@ -105,5 +105,5 @@
  2       write(*,*) ' '
          
-c     -------------------- get: nvr,idvr, vlvr, olvlvr
+!     -------------------- get: nvr,idvr, vlvr, olvlvr
          nvr = 0
          do i=1,ivrml1(ntlml)+nvrml(ntlml)-1
@@ -149,5 +149,5 @@
       endif
       
-c     -------------------------- set var. amplitudes for simulations
+!     -------------------------- set var. amplitudes for simulations
       
       do i=1,ivrml1(ntlml)+nvrml(ntlml)-1
@@ -162,16 +162,16 @@
             if (                         navr(1:2).eq.'om'
             
-     #     .or.nars(1:3).eq.'arg'.and.(navr(1:2).eq.'x5'
-     #           .or.navr(1:2).eq.'x6')
-            
-     #           .or.(nars(1:3).eq.'asn'.or.nars(1:3).eq.'asp')
-     #           .and.navr(1:2).eq.'x3'
-            
-     #           .or.(nars(1:3).eq.'gln'.or.nars(1:3).eq.'glu')
-     #           .and.navr(1:2).eq.'x4'
-            
-     #           ) then
-            
-c     axvr(i) = pi/9.d0  ! 20 deg.
+     &     .or.nars(1:3).eq.'arg'.and.(navr(1:2).eq.'x5'
+     &           .or.navr(1:2).eq.'x6')
+            
+     &           .or.(nars(1:3).eq.'asn'.or.nars(1:3).eq.'asp')
+     &           .and.navr(1:2).eq.'x3'
+            
+     &           .or.(nars(1:3).eq.'gln'.or.nars(1:3).eq.'glu')
+     &           .and.navr(1:2).eq.'x4'
+            
+     &           ) then
+            
+!     axvr(i) = pi/9.d0  ! 20 deg.
             axvr(i) = pi2       ! Trying out 360 deg. for these as well
             
@@ -186,5 +186,5 @@
       enddo                     ! vars.
       
-c     --------------------- initialize solvation pars. if necessary
+!     --------------------- initialize solvation pars. if necessary
 
       if (itysol.ne.0) then
Index: main.f
===================================================================
--- main.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ main.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,19 +1,19 @@
-c **************************************************************
-c This file contains the:  main (SINGLE PROCESSOR JOBS ONLY,
-C                                FOR PARALLEL JOBS USE pmain)
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-C CALLS: init_energy,init_molecule
-C CALLS TASK SUBROUTINE: anneal,canon,elp,minim,mulcan_par,
-c                        mulcan_sim,partem_s, or regul
-C CAN ALSO CALL MEASUREMENT ROUTINES: cnteny,contacts,helix,hbond,
-C                                    outpdb,outvar,rgyr,
-C                                    rmsinit and rsmdfun,zimmer
-c $Id: main.f 334 2007-08-07 09:23:59Z meinke $
-c **************************************************************
+! **************************************************************
+! This file contains the:  main (SINGLE PROCESSOR JOBS ONLY,
+!                                FOR PARALLEL JOBS USE pmain)
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! CALLS: init_energy,init_molecule
+! CALLS TASK SUBROUTINE: anneal,canon,elp,minim,mulcan_par,
+!                        mulcan_sim,partem_s, or regul
+! CAN ALSO CALL MEASUREMENT ROUTINES: cnteny,contacts,helix,hbond,
+!                                    outpdb,outvar,rgyr,
+!                                    rmsinit and rsmdfun,zimmer
+! $Id: main.f 334 2007-08-07 09:23:59Z meinke $
+! **************************************************************
       
       program main
@@ -26,21 +26,21 @@
       logical lrand,bgsposs
 
-c =================================================== Energy setup
+! =================================================== Energy setup
 
-c            Directory for SMMP libraries
-c     Change the following directory path to where you want to put SMMP
-c     libraries of residues. 
+!            Directory for SMMP libraries
+!     Change the following directory path to where you want to put SMMP
+!     libraries of residues. 
       libdir='./SMMP/'
 
-c      The switch in the following line is now not used.
+!      The switch in the following line is now not used.
       flex=.false.        ! .true. for Flex  / .false. for ECEPP
 
-c     Choose energy type with the following switch instead ...
+!     Choose energy type with the following switch instead ...
       ientyp = 0
-c        0  => ECEPP2 or ECEPP3 depending on the value of sh2
-c        1  => FLEX 
-c        2  => Lund force field
-c        3  => ECEPP with Abagyan corrections
-c
+!        0  => ECEPP2 or ECEPP3 depending on the value of sh2
+!        1  => FLEX 
+!        2  => Lund force field
+!        3  => ECEPP with Abagyan corrections
+!
 
       sh2=.false.         ! .true. for ECEPP/2; .false. for ECEPP3
@@ -54,5 +54,5 @@
       call init_energy(libdir)
 
-c ================================================= Structure setup
+! ================================================= Structure setup
 
       grpn = 'nh2' ! N-terminal group
@@ -67,5 +67,5 @@
       ntlml = 0
       write (*,*) 'Solvent: ', itysol
-c     Initialize random number generator.
+!     Initialize random number generator.
       call sgrnd(31433)
       
@@ -78,8 +78,8 @@
       call init_molecule(iabin,grpn,grpc,seqfile,varfile)
 
-c Decide if and when to use BGS, and initialize Lund data structures 
+! Decide if and when to use BGS, and initialize Lund data structures 
       bgsprob=0.75   ! Prob for BGS, given that it is possible
-c upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
-c 2 => temperature dependent choice 
+! upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
+! 2 => temperature dependent choice 
       upchswitch=1
       rndord=.true.
@@ -89,5 +89,5 @@
       
 
-c ========================================  Add your task down here
+! ========================================  Add your task down here
 
       imin = 1 ! Quasi-Newton
@@ -95,5 +95,5 @@
       eps = 1.0d-7 ! requested precision
       call minim(imin, maxit, eps)
-c     To do a canonical Monte Carlo simulation uncomment the lines below
+!     To do a canonical Monte Carlo simulation uncomment the lines below
 !       nequi = 100
 !       nsweep = 50000
@@ -101,11 +101,11 @@
 !       temp = 300.0
 !       lrand = .true.
-c      Canonical Monte Carlo
+!      Canonical Monte Carlo
 !       call canon(nequi, nsweep, nmes, temp, lrand)
 
-c      For simulated annealing uncomment the lines below
+!      For simulated annealing uncomment the lines below
 !      tmin = 200.0
 !      tmax = 500.0
 !      call anneal(nequi, nsweep, nmes, tmax, tmin, lrand);
-c ========================================  End of main      
+! ========================================  End of main      
        end
Index: main_bgl_p.f
===================================================================
--- main_bgl_p.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ main_bgl_p.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,17 +1,17 @@
-c     **************************************************************
-c     
-c     This file contains the   main (PARALLEL TEMPERING  JOBS ONLY,
-C     FOR SINGULAR PROCESSOR JOBS USE main)
-C     
-C     This file contains also the subroutine: p_init_molecule
-c     
-c     Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c     Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c     
-C     CALLS init_energy,p_init_molecule,partem_p
-C     
-c     **************************************************************
+!     **************************************************************
+!     
+!     This file contains the   main (PARALLEL TEMPERING  JOBS ONLY,
+!     FOR SINGULAR PROCESSOR JOBS USE main)
+!     
+!     This file contains also the subroutine: p_init_molecule
+!     
+!     Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!     Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!     
+!     CALLS init_energy,p_init_molecule,partem_p
+!     
+!     **************************************************************
       program pmain
 
@@ -28,20 +28,20 @@
       logical newsta
 
-cc    Number of replicas 
+!c    Number of replicas 
       integer num_replica
-cc    Number of processors per replica
+!c    Number of processors per replica
       integer num_ppr
-cc    Range of processor for crating communicators
+!c    Range of processor for crating communicators
       integer proc_range(3)
-cc    Array of MPI groups
+!c    Array of MPI groups
       integer group(MAX_REPLICA), group_partem
-cc    Array of MPI communicators
+!c    Array of MPI communicators
       integer comm(MAX_REPLICA), partem_comm
-cc    Array of nodes acting as masters for the energy calculation.
+!c    Array of nodes acting as masters for the energy calculation.
       integer ranks(MAX_REPLICA)
-cc    Configuration switch
+!c    Configuration switch
       integer switch
       integer rep_id
-c     set number of replicas
+!     set number of replicas
       double precision eols(MAX_REPLICA)
       integer ndims, nldims, log2ppr, color
@@ -53,5 +53,5 @@
 
 
-c     MPI stuff, and random number generator initialisation
+!     MPI stuff, and random number generator initialisation
 
       call mpi_init(ierr)
@@ -88,18 +88,18 @@
       call sgrnd(seed)          ! Initialize the random number generator
 
-c     =================================================== Energy setup
+!     =================================================== Energy setup
       libdir='SMMP/'      
-c     Directory for SMMP libraries
-
-c     The switch in the following line is now not used.
+!     Directory for SMMP libraries
+
+!     The switch in the following line is now not used.
       flex=.false.              ! .true. for Flex  / .false. for ECEPP
 
-c     Choose energy type with the following switch instead ...
+!     Choose energy type with the following switch instead ...
       ientyp = 0
-c     0  => ECEPP2 or ECEPP3 depending on the value of sh2
-c     1  => FLEX 
-c     2  => Lund force field
-c     3  => ECEPP with Abagyan corrections
-c     
+!     0  => ECEPP2 or ECEPP3 depending on the value of sh2
+!     1  => FLEX 
+!     2  => Lund force field
+!     3  => ECEPP with Abagyan corrections
+!     
 
       sh2=.false.               ! .true. for ECEPP/2; .false. for ECEPP3
@@ -114,9 +114,9 @@
       call init_energy(libdir)
 
-c     calculate CPU time using MPI_Wtime()
+!     calculate CPU time using MPI_Wtime()
       startwtime = MPI_Wtime()
 
 
-c     ================================================= Structure setup
+!     ================================================= Structure setup
       grpn = 'nh2'              ! N-terminal group
       grpc = 'cooh'             ! C-terminal group
@@ -153,16 +153,16 @@
       ntlml = 0
 
-c Decide if and when to use BGS, and initialize Lund data structures 
+! Decide if and when to use BGS, and initialize Lund data structures 
       bgsprob=0.6    ! Prob for BGS, given that it is possible
-c upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
-c 2 => temperature dependent choice 
+! upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
+! 2 => temperature dependent choice 
       upchswitch=1
       rndord=.true.
       if (ientyp.eq.2) call init_lundff
-c     =================================================================
-c     Distribute nodes to parallel tempering tasks
-c     I assume that the number of nodes available is an integer 
-c     multiple n of the number of replicas. Each replica then gets n
-c     processors to do its energy calculation.
+!     =================================================================
+!     Distribute nodes to parallel tempering tasks
+!     I assume that the number of nodes available is an integer 
+!     multiple n of the number of replicas. Each replica then gets n
+!     processors to do its energy calculation.
       num_ppr = num_proc / num_replica
 
@@ -206,6 +206,6 @@
 !      call mpi_comm_group(mpi_comm_world,  group_world, error)
 
-c     The current version doesn't require a separate variable j. I
-c     could just use i * num_ppr but this way it's more flexible.
+!     The current version doesn't require a separate variable j. I
+!     could just use i * num_ppr but this way it's more flexible.
 !       j = 0
 !       do i = 1, num_replica 
@@ -277,7 +277,7 @@
       nml = 1
 
-c     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
+!     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
       call rmsinit(nml,ref_pdb)
-c     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
+!     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
 
 !     READ  REFERENCE CONTACT MAP
@@ -294,5 +294,5 @@
       end do
 
-c     ========================================  start of parallel tempering run
+!     ========================================  start of parallel tempering run
       write (*,*) "There are ", no,
      &            " processors available for ",rep_id
@@ -303,6 +303,6 @@
       call partem_p(num_replica, nequi, nswp, nmes, nsave, newsta,
      &              switch, rep_id, partem_comm)
-c     ========================================  end of parallel tempering run
-c     calculate CPU time using MPI_Wtime()
+!     ========================================  end of parallel tempering run
+!     calculate CPU time using MPI_Wtime()
       endwtime = MPI_Wtime()
 
@@ -319,5 +319,5 @@
       enddo
 
-c     ========================================  End of main
+!     ========================================  End of main
       CALL mpi_finalize(ierr)
 
Index: main_p.f
===================================================================
--- main_p.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ main_p.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,17 +1,17 @@
-c     **************************************************************
-c     
-c     This file contains the   main (PARALLEL TEMPERING  JOBS ONLY,
-C     FOR SINGULAR PROCESSOR JOBS USE main)
-C     
-C     This file contains also the subroutine: p_init_molecule
-c     
-c     Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c     Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c     
-C     CALLS init_energy,p_init_molecule,partem_p
-C     
-c     **************************************************************
+!     **************************************************************
+!     
+!     This file contains the   main (PARALLEL TEMPERING  JOBS ONLY,
+!     FOR SINGULAR PROCESSOR JOBS USE main)
+!     
+!     This file contains also the subroutine: p_init_molecule
+!     
+!     Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!     Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!     
+!     CALLS init_energy,p_init_molecule,partem_p
+!     
+!     **************************************************************
       program pmain
 
@@ -28,20 +28,20 @@
       logical newsta
 
-cc    Number of replicas 
+!c    Number of replicas 
       integer num_replica
-cc    Number of processors per replica
+!c    Number of processors per replica
       integer num_ppr
-cc    Range of processor for crating communicators
+!c    Range of processor for crating communicators
       integer proc_range(3)
-cc    Array of MPI groups
+!c    Array of MPI groups
       integer group(MAX_REPLICA), group_partem
-cc    Array of MPI communicators
+!c    Array of MPI communicators
       integer comm(MAX_REPLICA), partem_comm
-cc    Array of nodes acting as masters for the energy calculation.
+!c    Array of nodes acting as masters for the energy calculation.
       integer ranks(MAX_REPLICA)
-cc    Configuration switch
+!c    Configuration switch
       integer switch
       integer rep_id
-c     set number of replicas
+!     set number of replicas
       double precision eols(MAX_REPLICA)
 
@@ -50,5 +50,5 @@
 
 
-c     MPI stuff, and random number generator initialisation
+!     MPI stuff, and random number generator initialisation
 
       call mpi_init(ierr)
@@ -61,18 +61,18 @@
       call sgrnd(seed)          ! Initialize the random number generator
 
-c     =================================================== Energy setup
+!     =================================================== Energy setup
       libdir='SMMP/'      
-c     Directory for SMMP libraries
-
-c     The switch in the following line is now not used.
+!     Directory for SMMP libraries
+
+!     The switch in the following line is now not used.
       flex=.false.              ! .true. for Flex  / .false. for ECEPP
 
-c     Choose energy type with the following switch instead ...
+!     Choose energy type with the following switch instead ...
       ientyp = 0
-c     0  => ECEPP2 or ECEPP3 depending on the value of sh2
-c     1  => FLEX 
-c     2  => Lund force field
-c     3  => ECEPP with Abagyan corrections
-c     
+!     0  => ECEPP2 or ECEPP3 depending on the value of sh2
+!     1  => FLEX 
+!     2  => Lund force field
+!     3  => ECEPP with Abagyan corrections
+!     
 
       sh2=.false.               ! .true. for ECEPP/2; .false. for ECEPP3
@@ -87,9 +87,9 @@
       call init_energy(libdir)
 
-c     calculate CPU time using MPI_Wtime()
+!     calculate CPU time using MPI_Wtime()
       startwtime = MPI_Wtime()
 
 
-c     ================================================= Structure setup
+!     ================================================= Structure setup
       grpn = 'nh2'              ! N-terminal group
       grpc = 'cooh'             ! C-terminal group
@@ -121,22 +121,22 @@
       ntlml = 0
 
-c Decide if and when to use BGS, and initialize Lund data structures 
+! Decide if and when to use BGS, and initialize Lund data structures 
       bgsprob=0.6    ! Prob for BGS, given that it is possible
-c upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
-c 2 => temperature dependent choice 
+! upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
+! 2 => temperature dependent choice 
       upchswitch=1
       rndord=.true.
       if (ientyp.eq.2) call init_lundff
-c     =================================================================
-c     Distribute nodes to parallel tempering tasks
-c     I assume that the number of nodes available is an integer 
-c     multiple n of the number of replicas. Each replica then gets n
-c     processors to do its energy calculation.
+!     =================================================================
+!     Distribute nodes to parallel tempering tasks
+!     I assume that the number of nodes available is an integer 
+!     multiple n of the number of replicas. Each replica then gets n
+!     processors to do its energy calculation.
       num_ppr = num_proc / num_replica
 
       call mpi_comm_group(mpi_comm_world,  group_world, error)
 
-c     The current version doesn't require a separate variable j. I
-c     could just use i * num_ppr but this way it's more flexible.
+!     The current version doesn't require a separate variable j. I
+!     could just use i * num_ppr but this way it's more flexible.
       j = 0
       do i = 1, num_replica 
@@ -163,5 +163,5 @@
       enddo
 
-c     Setup the communicator used for parallel tempering
+!     Setup the communicator used for parallel tempering
       write (*,*) "PTGroup=", ranks(:num_replica)
       call flush(6)
@@ -194,7 +194,7 @@
       nml = 1
 
-c     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
+!     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
       call rmsinit(nml,'EXAMPLES/1bdd.pdb')
-c     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
+!     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
 
 !     READ  REFERENCE CONTACT MAP
@@ -211,5 +211,5 @@
       end do
 
-c     ========================================  start of parallel tempering run
+!     ========================================  start of parallel tempering run
       write (*,*) "There are ", no,
      &            " processors available for ",rep_id
@@ -220,6 +220,6 @@
       call partem_p(num_replica, nequi, nswp, nmes, nsave, newsta,
      &              switch, rep_id, partem_comm)
-c     ========================================  end of parallel tempering run
-c     calculate CPU time using MPI_Wtime()
+!     ========================================  end of parallel tempering run
+!     calculate CPU time using MPI_Wtime()
       endwtime = MPI_Wtime()
 
@@ -236,5 +236,5 @@
       enddo
 
-c     ========================================  End of main
+!     ========================================  End of main
       CALL mpi_finalize(ierr)
 
Index: metropolis.f
===================================================================
--- metropolis.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ metropolis.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,20 +1,20 @@
-c **************************************************************
-c
-c This file contains the subroutines:  metropolis
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines:  metropolis
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
 
       subroutine metropolis(eol1,acz,dummy)
-C
-C SUBROUTINE FOR METROPOLIS UPDATE OF CONFIGURATIONS
-C
-C CALLS: energy,addang,grnd,dummy (function provided as argument)
-C
+!
+! SUBROUTINE FOR METROPOLIS UPDATE OF CONFIGURATIONS
+!
+! CALLS: energy,addang,grnd,dummy (function provided as argument)
+!
       include 'INCL.H'
       include 'INCP.H'
@@ -25,11 +25,11 @@
       integer updtch1, updtch2,bgs
       double precision vrol(mxvr), gbol
-cf2py intent(in, out) eol
-cf2py intent(in, out) acz
+!f2py intent(in, out) eol
+!f2py intent(in, out) acz
       eol = energy()
-c     external rand
+!     external rand
       do nsw=1,nvr
-c Loop over dihedrals
-c
+! Loop over dihedrals
+!
          iupstate=0
          iupt=1
@@ -54,16 +54,16 @@
             iupstate=bgs(eol,dummy)
          else
-c           Simple twist of 
-c           Get Proposal configuration
+!           Simple twist of 
+!           Get Proposal configuration
             vrol=vlvr!(jv)  
             dv=axvr(jv)*(grnd()-0.5)
             vlvr(jv)=addang(vrol(jv),dv)
-c
-c           Get dummy of proposal configuration
-c
+!
+!           Get dummy of proposal configuration
+!
             enw = energy()
-c
+!
             delta =  dummy(enw) - dummy(eol)
-c           ___________________________ check acceptance criteria
+!           ___________________________ check acceptance criteria
             if (delta.le.0.0d0) then
                eol=enw  
@@ -90,5 +90,5 @@
       end do
 
-c Updates on relative position of different molecules when there are many      
+! Updates on relative position of different molecules when there are many      
       if (ntlml.gt.1) then
          do iml=1, ntlml
@@ -104,13 +104,13 @@
                   endif
                endif
-c     
-c              Get dummy of proposal configuration
-c     
+!     
+!              Get dummy of proposal configuration
+!     
                enw = energy()
-c
+!
                delta =  dummy(enw) - dummy(eol)
-c     
-c              ____________________________ check acceptance criteria
-c     
+!     
+!              ____________________________ check acceptance criteria
+!     
                if (delta.le.0.0d0) then
                   eol=enw
@@ -138,13 +138,13 @@
                   gbpr(i, iml) = (grnd()-0.5) * pi2
                endif
-c     
-c              Get dummy of proposal configuration
-c     
+!     
+!              Get dummy of proposal configuration
+!     
                enw = energy()
-c     
+!     
                delta =  dummy(enw) - dummy(eol)
-c     
-c              ____________________________ check acceptance criteria
-c     
+!     
+!              ____________________________ check acceptance criteria
+!     
                if (delta.le.0.0d0) then
                   eol=enw
@@ -166,7 +166,7 @@
          enddo
       endif
-c     
-c     Re-calculate energy
-c     
+!     
+!     Re-calculate energy
+!     
       enw = energy()
       if(abs(eol-enw).gt.0.000001)  then
@@ -176,8 +176,8 @@
          endif
       endif
-c     
+!     
       eol1 = eol
       return
-c     
+!     
       end
       
